/*!
  @file button.hpp

  The header of the button signal class.

  @par Full Description
  The header of the button signal class.

  @if REVISION_HISTORY_INCLUDED
  @par Edit History
  @li [0]    wojciech.rynczuk@wp.pl    04-MAR-2016    Initial file revision.
  @endif

  @ingroup Signal

  The MIT License (MIT)
  Copyright (c) 2016 Wojciech Rynczuk

*/

#include "mbed.h"
#include "signal.hpp"

class Button : public Signal
{
  public:
  Button(const string& name, Logger& logger);
  Button& operator=(unsigned int value);
  
  void PrintState();
  
  private:
  unsigned int m_State;
};
